<?php 

require $_SERVER['DOCUMENT_ROOT'].'/sys/inc/home.php';
require H.'sys/inc/start.php';
require H.'sys/inc/sess.php';
require H.'sys/inc/settings.php';
require H.'sys/inc/db_connect.php';

// Класс обработки данных
require 'classes/Music.php';

// Инициализация класса
$music = new Music();

// Колличество файлов на страницу
$music->limit = 10;

/**
* Генерируем JSON данные mp3 при подгрузке
*/

if (isset($_GET['category']) && isset($_GET['start'])) {
    $id_category = (int) $_GET['category'];
    $start = (int) $_GET['start'];
    $mp3 = $music->mp3list($id_category, $start);
    echo json_encode($mp3);
    exit;
}

if (isset($_POST['save'])) {
    $list = "{\"playlist\":[";
    
    $count = 0;
    foreach ($_POST as $key => $value) {
        if (preg_match('/check/i', $key)) {
            $list .= $value . ',';
            $count++;            
        }
    }
    $list = preg_replace('#(\,$)#ui', '', $list);
    $list .= ']}';
    $list = preg_replace('/#/', '"', $list);
    
    if ($count > 0) {
        $fp = fopen('playlist/list-' . $_SESSION['id_user'] . '.txt', 'w');
        $save = fwrite($fp, $list);
        
        if ($save) {
            $saved = true;
        } else {
            $err[] = 'Ошибка при создании плейлиста';
        }
        fclose($fp);        
    } else {
        $err[] = 'Список треков пуст';
    }
}

require H.'sys/inc/ipua.php';
require H.'sys/inc/fnc.php';
require H.'sys/inc/user.php';

$set['title'] = 'Музыка';
require H.'sys/inc/thead.php';
title();
aut();
err();
?>
<link rel="stylesheet" href="style/main.css" type="text/css" />
<?
if (!isset($user)) {
    ?><div class="spoiler-msg">Чтобы прослушать музыку на нашем сайте, вам необходимо пройти <a href="/aut.php">авторизацию</a>.</div><?
    require H.'sys/inc/tfoot.php';
    exit;
}
?>
<script type='text/javascript' src='http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js'></script>

<script type="text/javascript">
function loadlist(e,t){icon='<img src="style/ajax-loader.gif" alt="Loading..." />';url="<a onclick=\"loadlist('"+e+"', '"+t+"')\">Загрузить еще</a>";insertDIV=document.getElementById("loading-"+e);insertDIV.innerHTML=icon;if(!start[e]){start[e]=limit}var n=new XMLHttpRequest;n.open("GET","?category="+e+"&start="+start[e]);n.onreadystatechange=function(n){if(this.readyState==4){if(this.status==200){var r=JSON.parse(this.responseText);count=r.length;if(r["error"]){insertDIV.innerHTML='<div class="spoiler-msg">В этой папке больше нет треков</div>'}else{content="";for(i=0;i<count;i++){insert="{#file#:#http://"+encodeURI(location.host+"/obmen"+t+r[i].id)+".mp3#,#comment#:#"+r[i].name+"#}";content+='<div class="post-list"><a href="http://'+encodeURI(location.host+"/obmen"+t+r[i].id)+'.mp3" class="linkplay">';content+='<img src="style/update.png" title="Скачать трек" /></a> ';content+='<input type="checkbox" name="check'+r[i].id+'" id="check-'+e+'" value="'+insert+'" /> ';content+='<a href="/obmen'+t+r[i].id+'.mp3?showinfo">'+r[i].name+"</a></div>"}$("#list-"+e).before(content);insertDIV.innerHTML=url}start[e]=start[e]+limit}else{insertDIV.innerHTML=url;alert("Загрузка не удалась")}}};n.send(null)}function checkAll(e,t,n){for(i=0;i<e[t].length;i++){e[t][i].checked=n}}var start=[];var limit=<?= $music->limit?>;$(document).ready(function(){$(".spoiler-body").hide();$(".spoiler-title").click(function(){$(this).toggleClass("opened").toggleClass("closed").next().slideToggle()})})
</script>
<?
if (isset($saved)) {
    ?>
    <div class="spoiler-msg">Плейлист успешно сохранен</div>
    <?    
}

if (is_file('playlist/list-' . $user['id'] . '.txt')) {
    ?>
    <div class="spoiler-button">
    <a href="player.php?id=<?= $user['id']?>" target="_blank" onclick="popupWin = window.open(this.href, 'contacts', 'location,width=460,height=320,top=0'); popupWin.focus(); return false;"><img src="style/play.png" /> Запустить плеер</a>
    </div>
    <?
}

$array = $music->category();
?>
<form class="spoiler-form" action="?" method="POST"><?
foreach ($array AS $category) {
?>
    <div class="spoiler-all">
      <a class="spoiler-title closed"><i class="folder"></i> <?= $music->text($category['name'])?></a>
      
      <div class="spoiler-body">
        <input type="checkbox" id="id<?=$category['id']?>" onclick="checkAll(this.form, 'check-<?= $category['id']?>', this.checked)">
        <label for="id<?= $category['id']?>">Отметить все</label><br />
        
        <?
        $mp3 = $music->mp3list($category['id'], 0);
        $num = 0;
        if (!isset($mp3['error'])) {
            foreach($mp3 AS $post) {
               $file = 'http://' . $_SERVER['SERVER_NAME'] . '/obmen' . $category['dir'] . $post['id'].'.mp3';
               $insert = '{#file#:#' . $file . '#,#comment#:#' . $music->text($post['name']) . '#}';
               ?>
               <div class="post-list">
                 <a id="playlist-<?= $post['id']?>" href="<?= $file?>" class="linkplay"><img src="style/update.png" title="Скачать трек" /></a>
                 <input type="checkbox" name="check<?= $post['id']?>" id="check-<?= $category['id']?>" value="<?= $insert?>" /> <a href="<?= $file?>?showinfo"><?= $music->text($post['name'])?></a>
               </div>
               <?
               $num++;
           }              
        } else {
            ?><div class="spoiler-msg"><?= $mp3['error']?></div> <?
        }
        ?>
        <div id="list-<?= $category['id']?>"></div>
        
        <? if ($num == $music->limit) { ?>
            <div id="loading-<?= $category['id']?>" class="loading">
              <img src="style/ajax-loader.gif" alt="Loading..." class="loading-icon" /> 
              <a onclick="loadlist('<?= $category['id']?>', '<?= $category['dir']?>')" class="loading-link">Загрузить еще</a>
            </div>            
        <? } ?>

      </div>
    </div>
<?    
}
?>
<div class="spoiler-button">
  Чтобы создать плейлист, вам нужно выбрать список треков, и нажать кнопку "Сохранить".<br />
  Убедитесь в наличии Flash плеера на своем устройстве.<br />
  <button type="submit" name="save">Сохранить</button>
</div>
</form>
<?

require H.'sys/inc/tfoot.php';